EventHttpRequest::__construct
EventHttpRequest::free
EventHttpRequest
PHP Manual

# EventHttpRequest::findHeader

(PECL event >= 1.4.0-beta)

EventHttpRequest::findHeader — Finds the value belonging a header

### 説明

public void EventHttpRequest::findHeader ( string `$key` , string `$type` )

Finds the value belonging a header.

### パラメータ

`key`

  The header name.

`type`

  One of EventHttpRequest::*_HEADER constants .

### 返り値

Returns `NULL` if header not found.

### 参考

- EventHttpRequest::addHeader() - Adds an HTTP header to the headers of the request

EventHttpRequest::__construct
EventHttpRequest::free
EventHttpRequest
PHP Manual